List audit records for a schedule
Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:
- Update your automations to use the V3 API for all new shift-based schedules
- Keep the V2 endpoint for your existing schedules
An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.
The returned records are sorted by the execution_time from newest to oldest.
See Cursor-based pagination for instructions on how to paginate through the result set.
For more information see the Audit API Document.
Scoped OAuth requires: audit_records.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
The minimum of the limit parameter used in the request or the maximum request size of the API.
Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the next_cursor field of the previous request. When no value is provided, the request starts at the beginning of the result set.
The start of the date range over which you want to search. If not specified, defaults to now() - 24 hours (past 24 hours)
date-timeThe end of the date range over which you want to search. If not specified, defaults to now(). May not be more than 31 days after since.
date-timeHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
List rotations GET
<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Retrieve all rotations for a schedule.
List schedules GET
<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Retrieve a paginated list of schedule references. Returns lightweight objects without embedded rotations or events. Each result is filtered by the caller's read permission; schedules the caller cannot read are silently excluded.